Bug 979673 - Review Request: perl-File-Find-Object - Object oriented File::Find replacement
Review Request: perl-File-Find-Object - Object oriented File::Find replacement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 698301 979670
Blocks: 979674
  Show dependency treegraph
 
Reported: 2013-06-29 06:14 EDT by Christopher Meng
Modified: 2014-06-19 16:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-File-Find-Object-0.2.7-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 21:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 06:14:53 EDT
Spec URL: http://cicku.me/perl-File-Find-Object.spec
SRPM URL: http://cicku.me/perl-File-Find-Object-0.2.7-1.fc20.src.rpm
Description: File::Find::Object does the same job as File::Find but works like an object and with an iterator. As File::Find is not object oriented, one cannot
perform multiple searches in the same application. The second problem of
File::Find is its file processing: after starting its main loop, one cannot
easily wait for another event and so get the next result.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 00:45:05 EDT
Review:

+ mock build is successful for f20

- rpmlint on rpms gave
perl-File-Find-Object.noarch: W: doc-file-dependency /usr/share/doc/perl-File-Find-Object-0.2.7/examples/tree perl(Getopt::Long)
perl-File-Find-Object.noarch: W: doc-file-dependency /usr/share/doc/perl-File-Find-Object-0.2.7/examples/tree /usr/bin/perl
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball: 403e8b7062fff32785ac722f3fe56b32c3641ee219d719f2e762ff441215aed7
upstream tarball : 403e8b7062fff32785ac722f3fe56b32c3641ee219d719f2e762ff441215aed7

- License "GPL+ or Artistic" is not exactly valid.

- make test is successful with output
looks all test successful but some got skipped

+ This package
Provides: perl(File::Find::Object) = 0.2.7 perl(File::Find::Object::Base) perl(File::Find::Object::DeepPath) perl(File::Find::Object::PathComp) perl(File::Find::Object::Result) perl(File::Find::Object::TopPath) perl-File-Find-Object = 0.2.7-1.fc20

Requires: /usr/bin/perl perl(Carp) perl(Fcntl) perl(File::Find::Object) perl(File::Find::Object::Base) perl(File::Find::Object::PathComp) perl(File::Find::Object::Result) perl(File::Spec) perl(Getopt::Long) perl(List::Util) perl(base) perl(integer) perl(strict) perl(warnings)

suggestions:
1) rpm can automatically find required packages for perl packages so don't need to explicitly mention following in spec file. Please remove it.
Requires:       perl(Carp)
Requires:       perl(Class::XSAccessor)
Requires:       perl(File::Spec)
Requires:       perl(List::Util)

2) From README and source files, its clear that license tag should be "GPLv2+ or Artistic"  

3) Add following for executing all the tests
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
#BuildRequires:  perl(Test::TrailingSpace)

I see perl-Test-TrailingSpace is not available in Fedora. Though its not mandatory but good if you can package it also.
http://search.cpan.org/dist/Test-TrailingSpace/

4) rpmlint warning doc-file-dependency can be fixed by adding following in %prep
 chmod 644 examples/tree
Comment 2 Christopher Meng 2013-07-03 02:14:54 EDT
Test::TrailingSpace is packaged when I submitted this one, see https://bugzilla.redhat.com/show_bug.cgi?id=979676

NEW SPEC URL: http://cicku.me/perl-File-Find-Object.spec
NEW SRPM URL: http://cicku.me/perl-File-Find-Object-0.2.7-2.fc20.src.rpm
Comment 3 Parag AN(पराग) 2013-07-03 02:54:54 EDT
Thanks for the update. Now, I see rpm does not automatically extracted following
Requires:       perl(Class::XSAccessor)

Please add this back in spec.

APPROVED.

Will review 979676 package later on.
Comment 4 Christopher Meng 2013-07-03 05:45:44 EDT
New Package SCM Request
=======================
Package Name: perl-File-Find-Object
Short Description: Object oriented File::Find replacement
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-03 09:16:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-05 07:46:20 EDT
perl-File-Find-Object-0.2.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-File-Find-Object-0.2.7-2.fc18
Comment 7 Fedora Update System 2013-07-05 07:47:09 EDT
perl-File-Find-Object-0.2.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-File-Find-Object-0.2.7-2.fc19
Comment 8 Fedora Update System 2013-07-05 20:56:00 EDT
perl-File-Find-Object-0.2.7-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-07-14 21:01:52 EDT
perl-File-Find-Object-0.2.7-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-14 21:09:19 EDT
perl-File-Find-Object-0.2.7-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Christopher Meng 2014-06-18 13:02:52 EDT
Package Change Request
======================
Package Name: perl-File-Find-Object
New Branches: epel7
Owners: cicku
Comment 12 Kevin Fenzi 2014-06-19 16:52:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.